Instalar do AWS CLI versão 1 - AWS Command Line Interface

Se fornecermos uma tradução da versão em inglês do guia, a versão em inglês prevalecerá caso haja qualquer conflito entre as versões. A tradução é fornecida com o uso de tradução por máquina.

Instalar do AWS CLI versão 1

Este tópico fornece ligações para informações sobre como instalar a versão 1 do AWS Command Line Interface (AWS CLI). Para obter informações sobre os últimos lançamentos de AWS CLI versão 1, consulte o AWS CLI versão 1 alterar notas em github.

Recomendamos que utilize AWS CLI versão 2 em vez de. Para obter informações sobre como instalar a versão 2, consulte Instalar do AWS CLI versão 2.

Importante

A AWS CLI versão 1 não é mais compatível com o Python versões 2.6 e 3.3. Todas as versões da AWS CLI versão 1 lançadas após 10 de janeiro de 2020, começando com a versão 1.17, exigem o Python 2.7, o Python 3.4 ou uma versão posterior.

Essa alteração não afeta a versão do instalador do Windows MSI da AWS CLI versão 1 e da AWS CLI versão 2.

Para obter mais informações, consulte Usar a AWS CLI versão 1 com versões anteriores do Python neste guia e a publicação sobre o anúncio de suspensão no blog.

Além deste guia, a seguir estão outros valiosos recursos online para a AWS CLI.